#
# Cookbook:: esh_laminar
# Recipe:: service
#
# Copyright:: 2023, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

package_uri = node['esh']['laminar']['service']['package']
package_name = package_uri.split('/').last
package_dst = "#{Chef::Config['file_cache_path']}/#{package_name}"

apt_package %w(libcapnp-0.7.0 libsqlite3-0) do
  action :install
end

remote_file package_dst do
  source package_uri
  owner 'root'
  group 'root'
  mode '0444'
  action :create
  notifies :install, 'dpkg_package[laminar]', :immediately
end

dpkg_package 'laminar' do
  source package_dst 
  action :nothing
end

service 'laminar' do
  action [:enable, :start]
end
